#!/usr/bin/python
# -*- coding: utf-8 -*-

REG_UNKNOWN = 0

REG_TYPE_COMMON = 0x0001
REG_TYPE_CHUNIT = 0x0002
REG_TYPE_NORMAL = 0x1000
REG_TYPE_HIVOLT = 0x2000

REG_ATTB_RDONLY = 0x0010
REG_ATTB_WRITE  = 0x0030
REG_ATTB_RW     = REG_ATTB_WRITE


class RegInfo(object):
	####################################################################
	def __init__(self, name, address, bytewidth = 2, attrib = REG_UNKNOWN):
		self.setattrb(name, address, bytewidth, attrib)

	####################################################################
	def setattrb(self, name, address, bytewidth, attrib):
		self.mName = name
		self.mAddress = address
		self.mBytes = bytewidth
		self.mAttribute = attrib



